/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui;

import java.io.InputStream;
import java.io.IOException;
import java.sql.Blob;
import java.sql.SQLException;

public interface RequestExec extends LinkTypes
{
  public abstract void error(int code) throws IOException;

  public abstract void error(int code, String message) throws IOException;

  public abstract void redirect(String where, int type) throws IOException;

  public abstract void noContent();

  public abstract void sendBinary(String type, String filename, int length, InputStream data)
      throws IOException;

  public abstract void sendBinary(String type, int length, InputStream data) throws IOException;

  public abstract void sendBinary(String type, String filename, Blob data) throws IOException, SQLException;

  public abstract void sendBinary(String type, Blob data) throws IOException, SQLException;

  public abstract void sendBinary(String type, String filename, byte[] data) throws IOException;

  public abstract void sendBinary(String type, byte[] data) throws IOException;

  public abstract void sendText(String type, String data) throws IOException;

  public abstract void sendText(String type, char[] data) throws IOException;

} // end interface RequestExec
